---
title: "Update billing information"
description: "The actual target must match the currently authorized workspace. Existing operation permissions are unchanged."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Billing

`POST /api/billing/update-info`

The actual target must match the currently authorized workspace. Existing operation permissions are unchanged.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Request body

_Required._

- `workspaceId` (`post/api/billing/update-info.workspaceId`; string, required)

## Example request

```json
{
  "workspaceId": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/billing/update-info \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/billing/update-info';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({workspaceId: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/billing/update-info"

payload = { "workspaceId": "string" }
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Operation completed

### 400

Missing or malformed target or operation input

### 401

Invalid or absent verified session

### 403

Nonmember or conflicting workspace target

### 503

Identity or membership lookup unavailable


Source: https://developer.channelautomations.com/api/post-api-billing-update-info/index.md
